dpkg-scanpackages(1)

NOME
dpkg-scanpackages - crea file Packages con indici

SINTASSI
dpkg-scanpackages [opzione...] dir-binari [file-override [prefisso-percorso]] > Packages

DESCRIZIONE
dpkg-scanpackages scorre un albero di pacchetti binari Debian e crea un file Packages, usato da apt(8), dselect(1), ecc., per dire all'utente quali pacchetti sono disponibili per l'installazione. Questi file Packages sono gli stessi che si trovano nei siti e i CD-ROM con archivi Debian. L'utente stesso può usare dpkg-scanpackages se crea una directory di pacchetti locali da installare su cluster di macchine.

Note: If you want to access the generated Packages file with apt you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt ignores uncompressed Packages files except on local access (i.e. file:// sources).

dir-binari è il nome dell'albero dei pacchetti binari da elaborare (per esempio contrib/binary-i386). È meglio indicarlo in modo relativo alla radice dell'archivio Debian, perché ogni campo Filename nel nuovo file Packages inizierà con questa stringa.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

prefisso-percorso è una stringa facoltativa da anteporre ai campi Filename.

Se viene trovata più di una versione di un pacchetto, nell'output viene inclusa solo la più nuova. Se hanno la stessa versione e differiscono solo per l'architettura, viene usata solo la prima voce trovata.

OPZIONI

-t, --type tipo
    Cerca pacchetti *.tipo invece di *.deb.

-e, --extra-override file
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch arch
    Usa un modello che corrisponde a *_all.deb e *_arch.deb invece di cercare tutti i file deb.

-h, --hash hash-list
    Only generate file hashes for the comma-specified list specified (since dpkg 1.17.14). The default is to generate all currently supported hashes. Supported values: md5, sha1, sha256.

-m, --multiversion
    Include nell'output tutti i pacchetti trovati.

-M, --medium stringa-ID
    Add an X-Medium field containing the value id-string (since dpkg 1.15.5). This field is required if you want to generate Packages.cd files for use by the multicd access method of dselect.

-?, --help
    Mostra il messaggio sull'uso ed esce.

--version
    Mostra la versione ed esce.

DIAGNOSTICA
dpkg-scanpackages produce in output i consueti errori autoesplicativi. Inoltre produce avvertimenti per i pacchetti che sono nella sottodirectory sbagliata, sono duplicati, hanno un campo Filename nel loro file di controllo, non sono presenti nel file override oppure hanno sostituzioni del manutentore che non hanno effetto.

VEDERE ANCHE
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).